Get Active Client Sessions grouped by Distinguished Names.

Prev Next
Get
/stats/active-sessions/dn

Get session data from currently Active Client Sessions grouped by distinguished name. This API makes the Controller to query every Gateway in the system to collect the session data. The operation may take long if one or more Gateways take long to respond.

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

geolocationQuery

Query parameters for finding active sessions in a given radius in the world.

object

Query parameters for finding active sessions in a given radius in the world.

latitude
number (double)

Latitude of the central point of the query.

Example59.408
longitude
number (double)

Longitude of the central point of the query.

Example17.8678
radiusKilometers
number (double)

Radius of the query in kilometers.

Example200.0
Example{ "latitude": 59.408, "longitude": 17.8678, "radiusKilometers": 200 }
filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

Active Client Sessions per user. Disconnected Clients disappear after 5 minutes. When a Client fails over to another Gateway, the API may return the Client on multiple Gateways until during this period.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object
object
distinguishedName
string

Distinguished name of a user&device combination. Format: "CN=,CN=,OU="

ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=user,OU=ldap
deviceId
string (uuid)

The device ID, same as the one in the Distinguished Name.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
username
string

The username, same as the one in the Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the Distinguished Name.

Exampleldap
geoIpLatitude
number (double)

GeoIP Latitude of the client.

Example59.408
geoIpLongitude
number (double)

GeoIP Latitude of the client.

Example17.8678
hostname
string

Hostname or Device name reported by the Client as Device Claim.

Examplecmp325
osFamily
string

Family of the operating system of the Client.

Examplewindows
osName
string

Name of the operating system of the Client.

ExampleMicrosoft Windows 10 Enterprise N
osParent
string

Parent of the operating system of the Client. Typically available for Linux.

Examplefedora
clientVersion
string

Client version.

Example6.1.2-32120-release
clientType
string

Client type.

Exampleheadless
clientSupport
string

The support status of the client.

Valid values[ "full", "partial", "none" ]
gateways
Array of string Deprecated

The names of gateways reporting active client sessions of the user. Deprecated as of 6.6. Use Session Details API instead.

string
Exampleaws-gateway-1
geolocationQuery
object (GeolocationQuery)

Query parameters for finding active sessions in a given radius in the world.

latitude
number (double)

Latitude of the central point of the query.

Example59.408
longitude
number (double)

Longitude of the central point of the query.

Example17.8678
radiusKilometers
number (double)

Radius of the query in kilometers.

Example200.0
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.